package djh.openEJBExample.service;

import javax.ejb.Local;
import java.util.List;

import djh.openEJBExample.entities.Employee;

@Local
public interface EmployeeDAO {

	public Employee create(Employee employee);

	public Employee getById(int id);

	public List<Employee> getAll();

	public List<Employee> getByLastName(String lastName);

	public Employee update(Employee employee);

	public void remove(Employee employee);
}
