package djh.openEJBExample.openEJB;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import org.junit.Before;

public abstract class OpenEJBTestBase {

	@Before
	public void initializeOpenEJB() throws NamingException {
		Context ctxt = null;
		try {
			ctxt = new InitialContext();
			ctxt.bind("inject", this);
		} finally {
			try {
				ctxt.close();
			} catch (NamingException ignored) {
			}
		}
	}
}
